Bug 1707477 - No way to grant access to router via NetworkPolicy
Summary: No way to grant access to router via NetworkPolicy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Casey Callendrello
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-07 15:25 UTC by Casey Callendrello
Modified: 2019-06-04 10:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:48:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:48:41 UTC

Description Casey Callendrello 2019-05-07 15:25:07 UTC
Problem:
The openshift-ingress namespace has no labels, so there's no way to select for it with namespaces.

Nor can you grant access to prometheus.

Comment 3 zhaozhanqi 2019-05-08 07:04:38 UTC
Verified this bug 4.1.0-0.nightly-2019-05-07-233329

oc get namespaces openshift-ingress --show-labels
NAME                STATUS   AGE     LABELS
openshift-ingress   Active   3h24m   name=openshift-ingress,network.openshift.io/policy-group=ingress,openshift.io/cluster-monitoring=true

Comment 5 errata-xmlrpc 2019-06-04 10:48:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.